Bug 1107676 - Accents etc should be permitted in user first and last names
Summary: Accents etc should be permitted in user first and last names
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Dominic Cleal
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 12:41 UTC by Bryan Kearney
Modified: 2016-04-26 00:58 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-11 12:27:45 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 5869 None None None 2016-04-22 15:58 UTC

Description Bryan Kearney 2014-06-10 12:41:41 UTC
Users cannot currently put accents in their first/last names when using Ruby 1.8.7 as the use of :alnum: in the validation doesn't match accents.  This appears to work on 2.0.0 at least.

Original PR: https://github.com/theforeman/foreman/pull/1387

Comment 1 Bryan Kearney 2014-06-10 12:41:43 UTC
Created from redmine issue http://projects.theforeman.org/issues/5869

Comment 2 Bryan Kearney 2014-06-10 12:41:54 UTC
Upstream bug assigned to dcleal@redhat.com

Comment 3 Bryan Kearney 2014-06-10 13:03:52 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5869 has been closed

Comment 7 Tazim Kolhar 2014-08-11 14:29:30 UTC
VERIFIED

latin letters names accepted as first name and last name

Comment 8 Bryan Kearney 2014-09-11 12:27:45 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.